package es.uv.garcosda.controllers;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.DependsOn;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.http.MediaType;

@RestController
@RequestMapping(value="/", produces=MediaType.APPLICATION_JSON_VALUE)
@DependsOn({"testBean"})
public class MainController {

	@Value("${app.global}")
	String global;
	
	@Value("${app.env}")
	String env;
	
	@Value("${spring.profiles.active}")
	String profile;
	
	@Value("${server.port}")
	Integer port;
	
	@Value("${app.data-url}")
	String dataUrl;
	
	@GetMapping()
	public String test() {
		return "{\"current-profile\":\""+profile+"\", \"current-port\":\""+port+"\", \"global\":\""+global+"\", \"env\":\""+env+"\", \"dataUrl\":\""+dataUrl+"\"}";
	}
	
}
